Subject: Re: bug#78808: 28.2; Debian 12 GNU Emacs bug in Custom

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Jul 2025 09:52:59 +0300

> Date: Wed, 18 Jun 2025 07:27:43 +0300
> From: Barry Davidson <[email-masked]>
> 
> On Tue, 17 Jun 2025 14:09:36 +0300
> Eli Zaretskii <[email-masked]> wrote:
> 
> > > Date: Mon, 16 Jun 2025 15:49:13 +0300
> > > From:  Barry Davidson via "Bug reports for GNU Emacs,
> > >  the Swiss army knife of text editors" <[email-masked]>
> > > 
> > > After changing settings in Custom and after visiting and changing
> > > existing theme in customize-create-theme, Custom fails to put ( )
> > > around values for key :inherit. Example:
> > > It writes (:inherit link) instead of (:inherit (link)).
> > > Emacs then complains about errors in theme and if I visit it in
> > > customize-create-theme, then those fields are not properly
> > > displayed: instead of checkboxes there are just elisp code sections.
> > > I fixed my custom theme by manually adding parentheses ( ) after
> > > every :inherit keyword, like so: (:inherit (variable-pitch));
> > > Custom wrote it as (:inherit variable-pitch) without parentheses.  
> > 
> > Thank you for your report.  But please describe a detailed recipe for
> > reproducing this problem starting from "emacs -Q".  Please include all
> > the commands you typed, including the specific theme you tried and the
> > variables/faces you customized.  Such a detailed description is
> > important for efficiently investigating the problem and its source, if
> > it still exists in the latest releases of Emacs (the last released
> > version is 30.1, with 30.2 in the works and expected to be released
> > soon).
> I want to add that after studying code for hl-line-mode in hl-line.el,
> I found a line '((t :inherit highlight :extend t)) and it looks like it
> should be '((t :inherit (highlight) :extend t))
> Could this be related to some issues with hl-line-mode people
> complaining about online?

I see nothing wrong in that line (which is part of defface).